petsc-3.4.2 2013-07-02

# PetscSFDistributeSection

Create a new PetscSection reorganized, moving from the root to the leaves of the SF

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSFDistributeSection(PetscSF sf, PetscSection rootSection, PetscInt **remoteOffsets, PetscSection leafSection)

Collective

### Input Parameters

| sf | - The SF
| rootSection | - Section defined on root space

### Output Parameters

| remoteOffsets | - root offsets in leaf storage, or NULL
| leafSection | - Section defined on the leaf space

### See Also

PetscSFCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages